# TimeseriesSurrogates.jl

[![](https://img.shields.io/badge/docs-dev-lightblue.svg)](https://JuliaDynamics.github.io/TimeseriesSurrogates.jl/dev)
[![](https://img.shields.io/badge/docs-stable-blue.svg)](https://JuliaDynamics.github.io/TimeseriesSurrogates.jl/stable)
[![](https://img.shields.io/badge/DOI-10.21105/joss.04414-purple)](https://doi.org/10.21105/joss.04414)
[![CI](https://github.com/JuliaDynamics/TimeseriesSurrogates.jl/workflows/CI/badge.svg)](https://github.com/JuliaDynamics/TimeseriesSurrogates.jl/actions?query=workflow%3ACI)
[![codecov](https://codecov.io/gh/JuliaDynamics/TimeseriesSurrogates.jl/branch/main/graph/badge.svg)](https://codecov.io/gh/JuliaDynamics/TimeseriesSurrogates.jl)
[![Package Downloads](https://shields.io/endpoint?url=https://pkgs.genieframework.com/api/v1/badge/TimeseriesSurrogates)](https://pkgs.genieframework.com?packages=TimeseriesSurrogates)

A Julia package for generating timeseries surrogates. TimeseriesSurrogates.jl is the fastest and most featureful open source code for generating timeseries surrogates.
It can be used as a standalone package, or as part of
[DynamicalSystems.jl](https://juliadynamics.github.io/DynamicalSystems.jl/dev/).

To install it, run `import Pkg; Pkg.add("TimeseriesSurrogates")`.

All further information is provided in the documentation, which you can either find [online](https://juliadynamics.github.io/TimeseriesSurrogates.jl/dev/) or build locally by running the `docs/make.jl` file.

## Citing

Please use the following BiBTeX entry, or DOI, to cite TimeseriesSurrogates.jl:

DOI: https://doi.org/10.21105/joss.04414

BiBTeX:
```latex
@article{TimeseriesSurrogates.jl,
    doi = {10.21105/joss.04414},
    url = {https://doi.org/10.21105/joss.04414},
    year = {2022},
    publisher = {The Open Journal},
    volume = {7},
    number = {77},
    pages = {4414},
    author = {Kristian Agasøster Haaga and George Datseris},
    title = {TimeseriesSurrogates.jl: a Julia package for generating surrogate data},
    journal = {Journal of Open Source Software}
}
```
